Last Comment Bug 542944 - [SeaMonkey 2.1] mochitest-chrome: "mailTestUtils.js, line 53: Cc['@mozilla.org/messenger/account-manager;1'] is undefined", during test_idcheck.xul
: [SeaMonkey 2.1] mochitest-chrome: "mailTestUtils.js, line 53: Cc['@mozilla.or...
Status: VERIFIED FIXED
[fixed by bug 550018]
:
Product: SeaMonkey
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 550018
Blocks: SmTestFail CcMcBuildIssues
  Show dependency treegraph
 
Reported: 2010-01-28 20:22 PST by Serge Gautherie (:sgautherie)
Modified: 2010-03-10 06:25 PST (History)
0 users
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2010-01-28 20:22:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1264733897.1264735493.11690.gz
Linux comm-central-trunk debug test mochitest-other on 2010/01/28 18:58:17
{
NEXT ERROR 7116 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/suite/common/tests/chrome/test_idcheck.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Cc['@mozilla.org/messenger/account-manager;1'] is undefined at chrome://mochikit/content/chrome/suite/common/tests/chrome/mailTestUtils.js:53
JavaScript error: chrome://mochikit/content/chrome/suite/common/tests/chrome/mailTestUtils.js, line 53: Cc['@mozilla.org/messenger/account-manager;1'] is undefined
}
Comment 1 Serge Gautherie (:sgautherie) 2010-01-30 20:15:11 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20100131 SeaMonkey/2.1a1pre] (home, optim default) (W2Ksp4)

Fwiw, I don't reproduce this failure.
It could be specific to debug or linux or ...
Comment 2 Serge Gautherie (:sgautherie) 2010-02-05 21:05:38 PST
(In reply to comment #1)

qawanted:
which "environment" triggers this?

(NB: This is the only perma-orange on this test suite...)
Comment 3 Serge Gautherie (:sgautherie) 2010-02-21 19:41:06 PST
MacOSX too:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1266802005.1266803746.19182.gz
OS X 10.5 comm-central-trunk debug test xpcshell on 2010/02/21 17:26:45
}
Comment 4 Serge Gautherie (:sgautherie) 2010-03-10 06:13:46 PST
(In reply to comment #1)
> It could be specific to debug or linux or ...

Debug!

*****

R.Fixed by bug 550018 patch Dv1 (and followups).
V.Fixed per tinderboxes.

Note You need to log in before you can comment on or make changes to this bug.